"use strict";

this.name = "scorp-escort.js";


(function () {

const escortPositions =
[
    // X-shape escort pattern
    new Vector3D(-1, 0,  0),
    new Vector3D(-2, 0,  1),
    new Vector3D(-3, 0, 0),
    new Vector3D(-4, 0, -1),
	new Vector3D(1, 0,  0),
    new Vector3D(2, 0,  1),
    new Vector3D(3, 0, 0),
    new Vector3D( 4, 0, -1)
];

const escortPositionCount = escortPositions.length;
const escortSpacingFactor = 3;


this.coordinatesForEscortPosition = function (index, count)
{
    var highPart = Math.floor(index / escortPositionCount) + 1;
    var lowPart = index % escortPositionCount;
   
    var spacing = this.ship.collisionRadius * escortSpacingFactor * highPart;
   
    return escortPositions[lowPart].multiply(spacing);
	}

}).call(this);

